#
# spec file for package omnimoni (Version 1.0)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  tcl tk
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gppshare grep groff gzip kbd less libtool libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit tcl texinfo textutils timezone tk unzip util-linux vim

Name:         omnimoni
Copyright:    GPL
Group:        X11/Utilities
Provides:     OmniMoni 
Requires:     tk
Autoreqprov:  on
Version:      1.0
Release:      398
Summary:      System Monitor
BuildArchitectures: noarch 
Source:       OmniMoni-1.0.tar.bz2
Patch:        OmniMoni-1.0.patch
BuildRoot:    %{_tmppath}/%{name}-build

%description
A Tcl/Tk based fully configurable  system-monitor.
See /usr/X11R6/lib/omnimoni for details.

Authors:
--------
    Rainer Mager <rvm@fore.com>

SuSE series: tcl

%prep
%setup -n OmniMoni-1.0
%patch

%build

%install
rm -rf "$RPM_BUILD_ROOT"
echo 1 | tclsh install.tcl --destdir $RPM_BUILD_ROOT 
cp -a demos $RPM_BUILD_ROOT/usr/lib/omnimoni
rm -f $RPM_BUILD_ROOT/usr/lib/omnimoni/default.omni
cd $RPM_BUILD_ROOT/usr/lib/omnimoni && ln -s demos/loadavg3.omni default.omni

%clean
rm -rf "$RPM_BUILD_ROOT"

%files
%doc README
%dir /usr/lib/omnimoni
/usr/bin/omnimoni
%config /usr/lib/omnimoni/default.omni
/usr/lib/omnimoni/demos/
/usr/lib/omnimoni/omnimoni.big.gif
/usr/lib/omnimoni/omnimoni.small.gif
%doc /usr/share/man/man1/omnimoni.1.gz

%changelog -n omnimoni
* Fri Aug 17 2001 - pmladek@suse.cz
- bzippped sources
- fixed Copyright tag
* Thu Apr 20 2000 - nadvornik@suse.cz
- added BuildRoot
- moved to noarch
* Sat Mar 04 2000 - uli@suse.de
- moved man page to /usr/share
* Fri Nov 05 1999 - max@suse.de
- changed wish's location to /usr/bin
* Mon Sep 13 1999 - bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Mon Apr 28 1997 - hf@suse.de
  changed the shell wish to wish4.2 as shell
